require "SysAdminToolbox/io/user"
require "SysAdminToolbox/system/init"
require "SysAdminToolbox/httpd/init"

module SysAdminToolbox
	VERSION = "0.0.1"
	
	# Define custom exception types
	RetryableError = Class.new(StandardError)

	class App
		def self.run
			# if Process.uid != 0
			# 	puts "Must run as root!"
			# 	quit
			# end

			clear_console
			puts "Welcome to SysAdmin Toolbox (#{VERSION})"
			breadcrumbs ['Home']
			choose do |menu|
				menu.prompt = "What would you like to do? "
				menu.choice(:System) { SysAdminToolbox::System.run }
				menu.choice(:HTTPD)  { SysAdminToolbox::Httpd.run }
				menu.choice(:PHP)    { SysAdminToolbox::Php.run }
				menu.choice(:Ruby)   { SysAdminToolbox::Ruby.run }
				menu.choice(:Quit)   { SysAdminToolbox::App.quit }
			end
		end

		def self.quit
			exit
		end

		def self.breadcrumbs(nodes)
			puts 'Location: '+nodes.join(' > ')
			puts
		end

		def self.clear_console
			system 'clear'
		end
	end
end
