module SysAdminToolbox
	module System
		def self.setup
			require "SysAdminToolbox/system/setup"
			SysAdminToolbox::System::Setup.new.run
		end

		def self.update
			require "SysAdminToolbox/system/Update"
			SysAdminToolbox::System::Update.new.run
		end

		def self.run
			SysAdminToolbox::App.clear_console
			SysAdminToolbox::App.breadcrumbs ['Home','System']
			choose do |menu|
				menu.prompt = "What would you like to do? "
				menu.choice(:Setup)  { SysAdminToolbox::System.setup }
				menu.choice(:Update) { SysAdminToolbox::System.update }
				menu.choice(:Back)   { SysAdminToolbox::App.run }
				menu.choice(:Quit)   { SysAdminToolbox::App.quit }
			end
		end
	end
end